<template>
  <div>
    <el-tabs
      v-model="activeName"
      type="border-card"
      @tab-click="handleClick"
       style="height: 100%"
    >
      <el-tab-pane
        label="病害经常检查"
        name="first"
         style="height: 100%"
      >
        <often-diease />
      </el-tab-pane>
      <el-tab-pane
        label="病害定期检查"
        name="second"
         style="height: 100%"
      >
        <regular-diease />
      </el-tab-pane>
    </el-tabs>
  </div>
</template>
<script>
import OftenDiease from '@/views/structureArchivesManagement/culvertInsepect/OftenDiease.vue'
import RegularDiease from '@/views/structureArchivesManagement/culvertInsepect/RegularDiease.vue'
export default {
  components: {
    OftenDiease,
    RegularDiease
  },
  data() {
    return {
      activeName: 'first',
    }
  },
  methods: {
    handleClick(tab, event) {
      console.log(tab, event)
    }
  }
}
</script>
<style lang="scss" scoped>
/deep/.el-tabs--border-card > .el-tabs__content {
  height: calc(100% - 8%) !important;
}
/deep/.el-tabs__item {
  font-size: 12px !important;
}

/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item {
//      color: #606266;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item.is-active {
//   color: #211bce;
  font-weight: bold;
}
/deep/.el-tabs--border-card{
  height: 100%;
}
</style>